X2Go Bug report logs - #147
PyHoca-GUI accepts new entries to liberally

Package: python-x2go; Maintainer for python-x2go is X2Go Developers <x2go-dev@lists.x2go.org>; Source for python-x2go is src:python-x2go.

Reported by: Dirk Eddelbuettel <edd@debian.org>

Date: Tue, 19 Mar 2013 10:06:29 UTC

Severity: normal

Tags: confirmed

Merged with 130, 148

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#147; Package pyhoca-gui. (Tue, 19 Mar 2013 10:06:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 19 Mar 2013 10:06:29 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: submit@bugs.x2go.org
Subject: PyHoca-GUI accepts new entries to liberally
Package: PyHoca-GUI
Version: 0.4.0.1

As discussed in the recent thread 'PyHoca-GUI 0.4.0.1 created bad config
file' [1], I can create 'bad' files ~/.x2goclient/session essentially by
just alternating between Add and Apply in the Profile Manager.

It seems like you are keying on name being unique. In which case you may
need to test for it. I have not looked at your code (and I am not that
fluent in Python) so this is just a guess.

x2go is a treat.  Thanks for your work on it.

Cheers, Dirk

[1] http://thread.gmane.org/gmane.linux.terminal-server.x2go.user/1146


Merged 147 148 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 19 Mar 2013 10:18:01 GMT) Full text and rfc822 format available.

Message sent on to Dirk Eddelbuettel <edd@debian.org>:
Bug#147. (Mon, 15 Apr 2013 08:48:01 GMT) Full text and rfc822 format available.

Message #10 received at 147-submitter@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 147@bugs.x2go.org
Cc: 147-submitter@bugs.x2go.org, control@bugs.x2go.org
Subject: Issue already resolved in python-x2go 0.4.0.2
Date: Mon, 15 Apr 2013 10:47:55 +0200
[Message part 1 (text/plain, inline)]
reassign #147 python-x2go
close #147
thanks

Hi Dirk,

after a thorough investigation/testing I am sure that the issue you  
reported to X2Go BTS [1] has already been solved when fixing issue  
#130 [2]. The issue has been fixed in Python X2Go and I need to  
rebuild the PyHoca-GUI binary for Win32 so that it includes Python  
X2Go 0.4.0.2 (and not 0.4.0.1).

Greets,
Mike

[1] http://bugs.x2go.org/147
[2] http://bugs.x2go.org/130

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#147; Package pyhoca-gui. (Mon, 15 Apr 2013 08:48:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 15 Apr 2013 08:48:41 GMT) Full text and rfc822 format available.

Bug reassigned from package 'pyhoca-gui' to 'python-x2go'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 15 Apr 2013 08:48:41 GMT) Full text and rfc822 format available.

No longer marked as found in versions 0.4.0.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 15 Apr 2013 08:48:41 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 15 Apr 2013 08:48:41 GMT) Full text and rfc822 format available.

Notification sent to Dirk Eddelbuettel <edd@debian.org>:
Bug acknowledged by developer. (Mon, 15 Apr 2013 08:48:41 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 15 Apr 2013 08:50:05 GMT) Full text and rfc822 format available.

Merged 130 147 148 Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 15 Apr 2013 08:50:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 14 May 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jul 18 21:33:08 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.